Bug 32042 - [FR] Обновить до актуальной версии
: [FR] Обновить до актуальной версии
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/firewalld)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
: http://git.altlinux.org/people/evg/pa...
:
:
:
  Show dependency tree
 
Reported: 2016-04-30 14:07 by
Modified: 2017-09-11 19:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-04-30 14:07:52
Относительно недавно появилась версия 0.4.x с интересным функционалом.
------- Comment #1 From 2016-04-30 19:17:01 -------
Они переписали апплет на Qt и он у меня сегфолтится. У меня не было времени с
этим разбираться: этот пакет для меня явно не приоритетный и я не очень умею
отлаживать программы на питоне.
Я запушил то, что есть:
http://git.altlinux.org/people/sem/packages/?p=firewalld.git;a=shortlog;h=refs/heads/version4
------- Comment #2 From 2016-05-02 19:08:28 -------
Собрал v0.4.1.2, поиграл немного. Апплет работает так же (плохо) как и в 0.3.x,
не падает вроде.

Сам firewalld вроде обновляется и работает, только чуть ругается из-за нашего
древнего /etc/protocols (см.
https://bugzilla.altlinux.org/show_bug.cgi?id=32052). Надеюсь, это починят.

Запушил результат (ветка version4), думаю можно это смержить/собрать/проверить
и в Сизиф.
------- Comment #3 From 2016-05-04 17:47:31 -------
Хм, у меня все так же падает:
$ firewall-applet

(python:6486): Gtk-WARNING **: Загружаемый модуль тем не найден в module_path:
«thinice»,

(python:6486): Gtk-WARNING **: Загружаемый модуль тем не найден в module_path:
«redmond95»,

(python:6486): Gtk-WARNING **: Загружаемый модуль тем не найден в module_path:
«redmond95»,
zsh: segmentation fault  firewall-applet

Проверю еще где-нибудь.
------- Comment #4 From 2016-10-11 20:22:11 -------
Проверил новый 0.4.3.3, падает.
------- Comment #5 From 2017-06-21 14:22:09 -------
А 0.4.4.1-alt1 (у меня в гите)? Он теперь на qt5.
------- Comment #6 From 2017-06-23 20:18:23 -------
Падает. Надо попробовать собрать с python3, в федоре уже так собирают, вроде.
------- Comment #7 From 2017-09-11 17:29:49 -------
(В ответ на комментарий №6)
> Падает. Надо попробовать собрать с python3, в федоре уже так собирают, вроде.

С python3 не падает.
------- Comment #8 From 2017-09-11 17:44:10 -------
Соберёте? У меня падения не воспроизводились.
------- Comment #9 From 2017-09-11 19:13:09 -------
firewalld-0.4.4.5-alt1 -> sisyphus:

Wed Aug 16 2017 Mikhail Efremov <sem@altlinux.org> 0.4.4.5-alt1
- Build with python 3.x.
- Updated to 0.4.4.5 (closes: #32042).

Mon Nov 21 2016 Terechkov Evgenii <evg@altlinux.org> 0.4.4.1-alt1
- 0.4.4.1

Sat Aug 20 2016 Terechkov Evgenii <evg@altlinux.org> 0.4.3.3-alt1
- 0.4.3.3

Wed Jul 06 2016 Terechkov Evgenii <evg@altlinux.org> 0.4.3.2-alt1
- 0.4.3.2

Wed Jun 29 2016 Terechkov Evgenii <evg@altlinux.org> 0.4.3.1-alt1
- 0.4.3.1

Tue Jun 28 2016 Terechkov Evgenii <evg@altlinux.org> 0.4.3-alt1
- 0.4.3

Sun May 01 2016 Terechkov Evgenii <evg@altlinux.org> 0.4.1.2-alt1
- Updated to 0.4.1.2 (ALT #32042)

Fri Feb 05 2016 Mikhail Efremov <sem@altlinux.org> 0.4.0-alt1
- Updated to 0.4.0.

Wed Jun 17 2015 Mikhail Efremov <sem@altlinux.org> 0.3.14.2-alt1
- Updated to 0.3.14.2.